﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage;
using Microsoft.EntityFrameworkCore.Storage.Internal;
using moviecruiser.Data.Persistence;
using System;

namespace moviecruiser.Migrations
{
    [DbContext(typeof(MoviesDbContext))]
    [Migration("20181013165552_logintable")]
    partial class logintable
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.0.1-rtm-125")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("moviecruiser.Data.Models.Movie", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Comments");

                    b.Property<string>("Description");

                    b.Property<string>("Name");

                    b.Property<string>("PosterPath");

                    b.Property<string>("ReleaseDate");

                    b.Property<double>("VoteAverage");

                    b.Property<int>("VoteCount");

                    b.HasKey("Id");

                    b.ToTable("Movies");
                });
#pragma warning restore 612, 618
        }
    }
}
